<?php

namespace App\Http\Requests\ItemMaster;

use Illuminate\Foundation\Http\FormRequest;

class IndependentSectionStoreRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'group_id' => 'nullable|integer',
            'title' => 'required|string|max:255',
            'type' => 'required|in:fields,bom',
            'is_template' => 'nullable|boolean',
            'is_default' => 'nullable|boolean',
            'description' => 'nullable|string',
        ];
    }
}
